package body MSHTML.ISVGMarkerElement_Object is

   procedure PutRef_refX
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGMarkerElement_PutRef_refX,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_refX;

   function Get_refX
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGMarkerElement_Get_refX);
   end Get_refX;

   procedure PutRef_refY
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGMarkerElement_PutRef_refY,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_refY;

   function Get_refY
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGMarkerElement_Get_refY);
   end Get_refY;

   procedure PutRef_markerUnits
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGMarkerElement_PutRef_markerUnits,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_markerUnits;

   function Get_markerUnits
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGMarkerElement_Get_markerUnits);
   end Get_markerUnits;

   procedure PutRef_markerWidth
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGMarkerElement_PutRef_markerWidth,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_markerWidth;

   function Get_markerWidth
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGMarkerElement_Get_markerWidth);
   end Get_markerWidth;

   procedure PutRef_markerHeight
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGMarkerElement_PutRef_markerHeight,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_markerHeight;

   function Get_markerHeight
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGMarkerElement_Get_markerHeight);
   end Get_markerHeight;

   procedure PutRef_orientType
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGMarkerElement_PutRef_orientType,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_orientType;

   function Get_orientType
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGMarkerElement_Get_orientType);
   end Get_orientType;

   procedure PutRef_orientAngle
     (This : ISVGMarkerElement_Type;
      P1   : GNATCOM.Types.VARIANT)
   is
   begin
      PutRef
        (This,
         ISVGMarkerElement_PutRef_orientAngle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1));
   end PutRef_orientAngle;

   function Get_orientAngle
     (This : ISVGMarkerElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, ISVGMarkerElement_Get_orientAngle);
   end Get_orientAngle;

   procedure setOrientToAuto
     (This : ISVGMarkerElement_Type)
   is
   begin
      Invoke (This, ISVGMarkerElement_setOrientToAuto);
   end setOrientToAuto;

   procedure setOrientToAngle
     (This      : ISVGMarkerElement_Type;
      pSVGAngle : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
   is
   begin
      Invoke
        (This,
         ISVGMarkerElement_setOrientToAngle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => pSVGAngle),
         Free);
   end setOrientToAngle;

end MSHTML.ISVGMarkerElement_Object;

